=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include $(TOPDIR)/Makefile.common
 
 ifneq "$(findstring $(ARCH), i386 x86_64 ia64)" ""
-SUBDIRS	+= int10
+SUBDIRS	+= x86emu int10
 endif
 
 #ifeq "$(findstring $(ARCH), i386 alpha)" ""
@@ -22,7 +22,7 @@
 ifdef SHARED_FLAGS
 $(LIBHD_SO): $(LIBHD)
 	echo $(SHARED_FLAGS)
-	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
+	$(CC) -shared -lsysfs -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
 		-Wl,-soname=libhd.so.$(LIBHD_MAJOR_VERSION) \
 		-o $(LIBHD_SO) 
 	ln -snf libhd.so.$(LIBHD_VERSION) libhd.so.$(LIBHD_MAJOR_VERSION)
