## hwinfo 13.41

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 TOPDIR		= $(CURDIR)
 SUBDIRS		= src
-TARGETS		= hwinfo
-CLEANFILES	= hwinfo hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
+TARGETS		= hwinfo hwinfo.pc
+CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
 LIBDIR		= /usr/lib
 ULIBDIR		= $(LIBDIR)
 LIBS		= -lhd
-SLIBS		= -lhd -lsysfs -ldbus-1 -lhal
-TLIBS		= -lhd_tiny -lsysfs -ldbus-1 -lhal
-SO_LIBS		= -lsysfs -ldbus-1 -lhal
-TSO_LIBS	= -lsysfs -ldbus-1 -lhal
+SLIBS		= -lhd -ldbus-1 -lhal
+TLIBS		= -lhd_tiny -ldbus-1 -lhal
+SO_LIBS		= -ldbus-1 -lhal
+TSO_LIBS	= -ldbus-1 -lhal
 
 export SO_LIBS
 
@@ -30,6 +30,10 @@
 
 hwscanqueue: hwscanqueue.o
 	$(CC) $< $(LDFLAGS) -o $@
+
+hwinfo.pc: hwinfo.pc.in
+	VERSION=`cat VERSION`; \
+	sed -e "s,@VERSION@,$${VERSION},g" -e 's,@LIBDIR@,$(ULIBDIR),g;s,@LIBS@,$(LIBS),g' $< > $@.tmp && mv $@.tmp $@
 
 # kept for compatibility
 shared:
@@ -67,10 +71,10 @@
 	@cd doc ; doxygen libhd.doxy
 
 install:
-	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR)\
-		$(DESTDIR)/usr/include
+	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR) \
+		$(DESTDIR)$(ULIBDIR)/pkgconfig $(DESTDIR)/usr/include
 	install -m 755 hwinfo $(DESTDIR)/usr/sbin
-	install -m 755 -s src/ids/check_hd $(DESTDIR)/usr/sbin
+	install -m 755 src/ids/check_hd $(DESTDIR)/usr/sbin
 	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
 	if [ -f $(LIBHD_SO) ] ; then \
 		install $(LIBHD_SO) $(DESTDIR)$(ULIBDIR) ; \
@@ -79,6 +83,7 @@
 	else \
 		install -m 644 $(LIBHD) $(DESTDIR)$(ULIBDIR) ; \
 	fi
+	install -m 644 hwinfo.pc $(DESTDIR)$(ULIBDIR)/pkgconfig
 	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
 	install -m 755 getsysinfo $(DESTDIR)/usr/sbin
 	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin
