## hwinfo 14.19

=== src/ids/Makefile ===
--- 
+++ 
@@ -5,16 +5,20 @@
 
 include $(TOPDIR)/Makefile.common
 
-ifeq "$(ARCH)" "ia64"
-IDFILES += src/ia64
-endif
+# ifeq "$(ARCH)" "ppc"
+# IDFILES += src/ppc
+# endif
+
+# ifeq "$(ARCH)" "ppc64"
+# IDFILES += src/ppc
+# endif
 
 IDFILES	+= src/bus src/class src/extra src/special src/scanner src/network \
 	  src/usb src/usb2 src/isapnp src/monitor src/camera src/tv src/dvb \
 	  src/chipcard src/modem src/pcmcia src/s390
 
 ifeq "$(ARCH)" "i386"
-IDFILES += src/x11.i386
+IDFILES += src/x11.i386 src/modem.i386
 endif
 
 ifeq "$(ARCH)" "ppc"
