## hwinfo 21.6

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,39 @@
 TOPDIR		= $(CURDIR)
 SUBDIRS		= src
-TARGETS		= hwinfo hwinfo.pc
+TARGETS		= hwinfo hwinfo.pc changelog
 CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
 LIBDIR		= /usr/lib
 ULIBDIR		= $(LIBDIR)
 LIBS		= -lhd
-SLIBS		= -lhd -ldbus-1 -lhal
-TLIBS		= -lhd_tiny -ldbus-1 -lhal
-SO_LIBS		= -ldbus-1 -lhal
-TSO_LIBS	= -ldbus-1 -lhal
+SLIBS		= -lhd
+TLIBS		= -lhd_tiny
+SO_LIBS		=
+TSO_LIBS	=
 
 export SO_LIBS
 
+GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
+GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
+
+VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
+
 include Makefile.common
+
+# ia64
+ifneq ($(filter i386 x86_64, $(ARCH)),)
+SLIBS		+= -lx86emu
+TLIBS		+= -lx86emu
+SO_LIBS		+= -lx86emu
+TSO_LIBS	+= -lx86emu
+endif
 
 SHARED_FLAGS	=
 OBJS_NO_TINY	= names.o parallel.o modem.o
 
 .PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc
+
+changelog: $(GITDEPS)
+	$(GIT2LOG) --changelog changelog
 
 hwscan: hwscan.o $(LIBHD)
 	$(CC) hwscan.o $(LDFLAGS) $(LIBS) -o $@
@@ -31,7 +47,7 @@
 hwscanqueue: hwscanqueue.o
 	$(CC) $< $(LDFLAGS) -o $@
 
-hwinfo.pc: hwinfo.pc.in
+hwinfo.pc: hwinfo.pc.in VERSION
 	VERSION=`cat VERSION`; \
 	sed -e "s,@VERSION@,$${VERSION},g" -e 's,@LIBDIR@,$(ULIBDIR),g;s,@LIBS@,$(LIBS),g' $< > $@.tmp && mv $@.tmp $@
