=== debian/changelog ===
hwinfo (21.6-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream release.

  [ Sebastien Badia ]
  * d/copyright: Update copyright header.
  * Re-introduce upstream changelog (Thanks Johann).
  * d/control: Bump Standards-Version to 3.9.6 (no changes).

 -- Sebastien Badia <seb@sebian.fr>  Tue, 07 Oct 2014 11:44:23 +0200

hwinfo (21.3-1) unstable; urgency=low

  [ Sebastien Badia ]
  * New upstream release
  * Update libhd21 symbols (add meminfo_xen@Base)
  * d/control: drop linux-kernel-headers build dependency

  [ Tomasz Buchert ]
  * d/control: restrict architectures (like in libx86emu)
  * restrict archs to amd64 i386 armel armhf (Closes: #742298)
  * hide symbols that are not compiled on ARMs (Closes: #742297)

 -- Sebastien Badia <seb@sebian.fr>  Tue, 08 Apr 2014 02:57:46 +0200

hwinfo (21.0-1) unstable; urgency=low

  * New Upstream release 21.0 (closes: #677102)
  * New maintainer, add Vcs-* and Homepage fields (closes: #662731)
  * Update upstream info, correct debian watch file (closes: #667846)
  * Stop using HAL (closes: #613184)
  * Fix DBus assertion errors (upstream) (closes: #661994)
  * Countless package improvements
    * Switch debian/copyright to format 1.0 (machine-readable)
    * Update dh compat level to 9 and bump Standards-Version to 3.9.5
    * Renamed libhd16{-dev,-doc} to libhd20{-dev,-doc} according to new soname.
  * Many fixes to Lintian problems
    * Remove BSD licence (src/int10/AsmMacros.h don't exist anymore)
    * Remove obsolete sparc_kioc and serial_struct patches
    * Quilt refresh patches (cpu.c-alpha_bogo,dbus_pkg_config.patch,
      hwinfo.8-strip_suse,kbd.c-tiocgdev_undefined,sh_support.patch)
    * "gbp pq import" more friendly patches now.
    * patch as-needed patch is managed by upstream now,
      remove ftbfs (src/int10/i10_v86.c doesn't exist)
    * patches Refresh fix_segfault_in_hd_is_xen_on_amd64
    * Clean useless readme

 -- Sebastien Badia <seb@sebian.fr>  Sun, 16 Mar 2014 12:58:41 +0100

hwinfo (16.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch fix_segfault_in_hd_is_xen_on_amd64 which fixes segfaults
    on amd64. Thanks Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
    (Closes: #652146)

 -- Michael Prokop <mika@debian.org>  Mon, 16 Jan 2012 11:02:29 +0100

hwinfo (16.0-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Simon McVittie ]
  * Use pkg-config for D-Bus' cpp flags instead of hard-coding them
    (Closes: #634451, LP: #749278)

  [ Ilya Barygin ]
  * as-needed.patch: fix FTBFS with --as-needed linker option.
  (Closes: #640202)

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Dec 2011 17:10:26 +0100

hwinfo (16.0-2) unstable; urgency=low

  * Added the patch to port to sh4 (Closes: #546151).
  * Updated Standards Version to 3.8.3.
  * Added README.source (quilt).
  * Modified debian/rules to fix FTBFS (Closes: #538551).

 -- William Vera <billy@billy.com.mx>  Sat, 24 Oct 2009 19:20:16 -0500

hwinfo (16.0-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd15 to libhd16 according to new soname.
  * Updated the watch file

 -- William Vera <billy@billy.com.mx>  Mon, 08 Jun 2009 22:18:36 -0500

hwinfo (15.3-2) unstable; urgency=low

  * Renamed libhd15-doc and libhd15-dev.
  * Library packages are now co-installable (Closes: #495866).
  * Updated Standards-Version to 3.8.1.
  * Updated compat to 5.
  * Updated debhelper version in control file.
  * Deleted useless manpage into debian path.
  * Added BSD License at copyright file to src/int10/AsmMacros.h.
  * Added a patch from gentoo to fix the FTBFS issue. (Closes: #528578).
  * Updated the GPL License version at the copyright file.

 -- William Vera <billy@billy.com.mx>  Wed, 13 May 2009 14:40:42 -0500

hwinfo (15.3-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd14 to libhd15 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 10 Aug 2008 14:24:34 -0500

hwinfo (14.19-2) unstable; urgency=low

  * Fixed quilt option (-p0) (Closes: 485256)
  * Updated Standards Version to 3.8.0

 -- William Vera <billy@billy.com.mx>  Fri, 13 Jun 2008 19:53:16 -0500

hwinfo (14.19-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Fri, 06 Jun 2008 18:48:44 -0500

hwinfo (14.17-1) unstable; urgency=low

  * New upstream release (Closes: #438700)
  * Updated libhd13-doc control file.
  * Corrected spelling error in the control file Debian-Edu Debian Edu.
  * Updated copyright with the upstream information.
  * Renamed libhd13 to libhd14 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 25 May 2008 19:14:49 -0500

hwinfo (13.41-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Thu, 09 Aug 2007 09:34:01 -0500

hwinfo (13.39-1) unstable; urgency=low

  * New upstream release
  * Added command in debian/rules to erase .pc, related with quilt

 -- William Vera <billy@billy.com.mx>  Wed, 01 Aug 2007 05:03:00 -0500

hwinfo (13.35-2) unstable; urgency=low

  * New maintainer (Closes: #412637).
  * Changed deprecated variables at control file.

 -- William Vera <billy@billy.com.mx>  Tue, 03 Jul 2007 01:16:03 -0500

hwinfo (13.35-1) unstable; urgency=low

  * New upstream releases.
  * Refresh patches against new upstream
  * Update debian/watch to handle multi-digit revisions of a single version of
    the upstream source rpm.
  * Orphan package.
    - Set maintainer to Debian QA Group

 -- James Vega <jamessan@debian.org>  Mon, 18 Jun 2007 20:54:02 +0100

hwinfo (13.28-1) unstable; urgency=low

  * New upstream releases.
    - Fixes usage of x86 asm on non-x86 architectures
      (Closes: #412713, #414723)

 -- James Vega <jamessan@debian.org>  Tue, 13 Mar 2007 10:38:19 -0400

hwinfo (13.23-1) unstable; urgency=low

  * New upstream releases
  * debian/rules: Add a get-orig-source target which fetches the upstream RPM
    and repacks as a tarball.


