=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

# this is passed to patched hwinfo Makefile
export HWINFO_VERSION=$(VERSION)

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -A README

gen-upstream-changelog:
	bash debian/gen-upstream-changelog.sh $(VERSION)

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
