## hwinfo 21.19

=== src/hd/Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 CLEANFILES	= version.h
 
 include $(TOPDIR)/Makefile.common
-
-CFLAGS		+= -I /usr/include/dbus-1.0 -I /usr/lib64/dbus-1.0/include -I /usr/lib/dbus-1.0/include
 
 version.h: $(TOPDIR)/VERSION
 	@echo "#define HD_VERSION_STRING \"`cat $(TOPDIR)/VERSION`\"" >$@
