=== debian/changelog ===
hwinfo (21.19-1) unstable; urgency=medium

  * Imported Upstream version 21.19
  * d/control: build only on Linux
  * d/symbols: update symbols for sparc
  
 -- Tomasz Buchert <tomasz@debian.org>  Wed, 15 Jul 2015 20:11:09 +0200

hwinfo (21.14-2) unstable; urgency=medium

  * d/control: set Architecture to 'any' (Closes: #790497)
  * d/*.symbols: update symbols on new architectures

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 02 Jul 2015 00:24:23 +0200

hwinfo (21.14-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 21.14
  * d/gbp.conf: update
  * d/patches: refresh & cleanup
  * d/control: drop dependency on DBUS
  * d/libhd21.symbols: add a new symbol
  * Fix other build problems
  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jun 2015 14:55:51 +0200

hwinfo (21.12-1) experimental; urgency=medium

  [ Tomasz Buchert ]
  * d/patches: fix reproduciblity issues (Closes: #776717)

  [ Sebastien Badia ]
  * Imported Upstream version 21.12
  * d/control: Fix vcs-browser URL (use cgit)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 05 Mar 2015 15:03:04 +0100

hwinfo (21.11-1) unstable; urgency=low

  [ Tomasz Buchert ]
  * Imported Upstream version 21.11
  * d/patches: refreshed

  [ Sebastien Badia ]
  * d/CHANGELOG: Refresh upstream changelog
  * d/copyright: Refresh dates (copyright)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 18 Jan 2015 17:12:28 +0100
