=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: admin
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
-Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 9),
                doxygen,
                flex,
-               libdbus-1-dev,
-               libx86emu-dev,
+               libx86emu-dev [amd64 i386],
                pkg-config
 Standards-Version: 3.9.6
 Homepage: https://github.com/openSUSE/hwinfo
 Vcs-Git: git://anonscm.debian.org/collab-maint/hwinfo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hwinfo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
 
 Package: hwinfo
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Hardware identification system
  hwinfo is the hardware detection tool used in SuSE Linux.
@@ -34,7 +33,7 @@
 
 Package: libhd21
 Section: libs
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -79,7 +78,7 @@
 
 Package: libhd-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
 Suggests: libhd-doc
 Provides: libhd12-dev,
