=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,20 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	make
+	make doc
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f VERSION
+
 override_dh_installdocs:
 	dh_installdocs -A README
 
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
+
+
 gen-upstream-changelog:
 	bash debian/gen-upstream-changelog.sh $(VERSION)
-
-override_dh_installchangelogs:
-	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
