## hwinfo 21.23

=== src/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ifdef SHARED_FLAGS
 $(LIBHD_SO): $(LIBHD)
-	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
+	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
 		-Wl,-soname=$(LIBHD_SONAME) \
 		-o $(LIBHD_SO) $(SO_LIBS) 
 	ln -snf $(LIBHD_NAME) $(LIBHD_SONAME)
