=== debian/changelog ===
hwinfo (21.23-1) unstable; urgency=medium

  * Imported Upstream version 21.23

 -- Sebastien Badia <seb@sebian.fr>  Fri, 16 Oct 2015 11:54:35 +0200

hwinfo (21.22-1) unstable; urgency=medium

  * Imported Upstream version 21.22

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 05 Oct 2015 13:24:23 +0200

hwinfo (21.21-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/gen-upstream-changelog: Update script

  [ Tomasz Buchert ]
  * d/rules: fix FTBFS

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 18:48:44 +0200

hwinfo (21.21-1) unstable; urgency=medium

  * Imported Upstream version 21.21
  * d/rules: replace jquery.js with a symlink
  * Override Lintian tags about typos

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 14:58:11 +0200
