=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
 Package: libhd-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Suggests: doc-base
 Enhances: libhd-dev
 Provides: libhd12-doc,
