=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+# export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -25,11 +27,16 @@
 	rm -f VERSION
 
 override_dh_installdocs:
-	dh_installdocs -A README
+	dh_installdocs -A README.md README-hwprobe.md README-legacy.md
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
 
+DOCDIR=debian/libhd-doc/usr/share/doc/libhd-doc/html
+override_dh_install-indep:
+	dh_install
+	rm $(DOCDIR)/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/jquery.js
 
 gen-upstream-changelog:
 	bash debian/gen-upstream-changelog.sh $(VERSION)
