## hwinfo 21.27

=== debian/changelog ===
hwinfo (21.27-1) unstable; urgency=medium

  * Imported Upstream version 21.27
  * Bump Standards-Version to 3.9.8 (no changes)
  * Updated upstream changelog
  * Updated debian/patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 12 Jun 2016 18:34:23 +0200

hwinfo (21.23-2) unstable; urgency=medium

  * d/symbols:
      Update symbols file for alpha arch (Closes: #812698)
      Update symbols file for alpha sparc64 (Closes: #812697)
      Thanks Adrian!
  * d/control:
      Update debhelper dependency
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-git field (use https everywhere)

 -- Sebastien Badia <seb@sebian.fr>  Sat, 05 Mar 2016 18:59:20 -0300
