=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hwinfo-$1\.tar\.gz/ \
  https://github.com/openSUSE/hwinfo/tags .*/v?(\d\S*)\.tar\.gz
