=== debian/changelog ===
hwinfo (21.32-1) unstable; urgency=medium

  * New upstream version 21.32

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 25 Oct 2016 21:29:05 +0200

hwinfo (21.30-1) unstable; urgency=medium

  * New upstream version 21.30
  * Updated upstream changelog

 -- Sebastien Badia <seb@sebian.fr>  Sat, 03 Sep 2016 09:44:39 +0200
