## hwinfo 21.37

=== debian/changelog ===
hwinfo (21.37-1) unstable; urgency=medium

  * New upstream version 21.37

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Nov 2016 17:15:31 +0100
