=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9~),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/openSUSE/hwinfo
-Vcs-Git: git://anonscm.debian.org/collab-maint/hwinfo.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
 
 Package: hwinfo
