## hwinfo 21.38

=== debian/changelog ===
hwinfo (21.38-1) unstable; urgency=medium

  * New upstream version 21.38
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 10 Dec 2016 14:57:05 +0100
