## hwinfo 21.39

=== debian/changelog ===
hwinfo (21.39-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream version 21.39
  * d/patches: refresh
  * d/*: debhelper 10 and watch 4

  [ Sebastien Badia ]
  * d/control: Migrate to my Debian email
  * d/dirs: Create hwinfo default backup dirs (LP: #1657544)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 15 Apr 2017 12:36:51 +0200
