=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hwinfo
 Section: admin
 Priority: optional
-Maintainer: Sebastien Badia <seb@sebian.fr>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
