## hwinfo 21.40

=== debian/changelog ===
hwinfo (21.40-1) unstable; urgency=medium

  * New upstream version 21.40
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 01 May 2017 12:51:12 +0200
