## hwinfo 21.42

=== debian/changelog ===
hwinfo (21.42-1) unstable; urgency=medium

  * New upstream version 21.42
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 05 May 2017 19:37:17 +0200
