## hwinfo 21.46

=== debian/changelog ===
hwinfo (21.46-1) unstable; urgency=medium

  * New upstream version 21.46
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 May 2017 08:55:17 +0200
