=== src/isdn/cdb/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 TOPDIR		= ../../..
-TARGETS		= isdn_cdb.h
-CLEANFILES	= isdn_cdb isdn_cdb.h lex.yy.c ISDN.CDB.txt
+TARGETS		= mk_isdnhwdb isdn_cdb.h ISDN.CDB.hwdb
+CLEANFILES	= isdn_cdb isdn_cdb.h lex.yy.c ISDN.CDB.txt mk_isdnhwdb ISDN.CDB.hwdb
 
 include $(TOPDIR)/Makefile.common
 
@@ -17,3 +17,17 @@
 
 lex.yy.c: isdn_cdb.lex
 	lex isdn_cdb.lex
+
+isdn_cdb: isdn_cdb.o cdb_read.o
+
+mk_isdnhwdb: mk_isdnhwdb.o cdb_read.o
+
+cdb_read.o: cdb_read.c cdb_read.h
+
+isdn_cdb.o: isdn_cdb.c cdb_read.h lex.yy.c
+
+mk_isdnhwdb.o: mk_isdnhwdb.c cdb_read.h lex.yy.c
+
+ISDN.CDB.hwdb: mk_isdnhwdb ISDN.CDB.txt
+	rm -f  ISDN.CDB.hwdb
+	./mk_isdnhwdb ISDN.CDB.txt ISDN.CDB.hwdb
