=== debian/changelog ===
hwinfo (21.47-1) unstable; urgency=medium

  * New upstream version 21.47
  * Updated upstream changelog
  * Updated std-ver to 4.0.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 16 Aug 2017 23:28:06 +0200
