=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/openSUSE/hwinfo
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
