## hwinfo 21.50

=== debian/changelog ===
hwinfo (21.50-1) unstable; urgency=medium

  * New upstream version 21.50
  * Updated upstream changelog
  * Updated std-ver to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 29 Oct 2017 09:29:02 +0100

hwinfo (21.49-1) unstable; urgency=medium

  * New upstream version 21.49
  * Updated upstream changelog
  * Use /bin/udevadm instead of /sbin/udevadm (Closes: #852593)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 19 Sep 2017 00:22:44 +0200
