## hwinfo 21.51

=== debian/changelog ===
hwinfo (21.51-1) unstable; urgency=medium

  * New upstream version 21.51 (Closes: #886952)
  * Update VCS links to salsa
  * Updated std-ver to 4.1.3 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 14 Jan 2018 14:31:37 +0100
