=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/openSUSE/hwinfo
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
+Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
+Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 
 Package: hwinfo
 Architecture: linux-any
