=== src/hd/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 hd.h: $(TOPDIR)/VERSION
 	@perl -pi -e "s/define\s+HD_VERSION\s+\d+/define HD_VERSION\t$(LIBHD_MAJOR_VERSION)/" $@
+	@perl -pi -e "s/define\s+HD_MINOR_VERSION\s+\d+/define HD_MINOR_VERSION\t$(LIBHD_MINOR_VERSION)/" $@
 
 $(LIBHD_D): $(OBJS)
 	ar r $(LIBHD) $?
