=== debian/changelog ===
hwinfo (21.52-1) unstable; urgency=medium

  * New upstream version 21.52
  * Use debhelper at compat 11

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 12 Feb 2018 17:56:22 +0100
