=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 # export DH_VERBOSE=1
 
-DPKG_EXPORT_BUILDFLAGS = 1
+#export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
+DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
