## hwinfo 21.55

=== debian/changelog ===
hwinfo (21.55-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.55

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 16 Jun 2018 15:54:32 +0200

hwinfo (21.53-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.53

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 May 2018 15:27:46 +0200
